import os
import numpy as np

train_vids = np.loadtxt('train_vids.txt')
val_vids = np.loadtxt('val_vids.txt')
test_vids = np.loadtxt('test_vids.txt')
root_dir = 'frames'

for v in range(1, 120):
    img_dir = os.path.join(root_dir, str('video{:02d}'.format(v)))
    if not os.path.exists(img_dir):
        continue

    for i in os.listdir(img_dir):
        if v in train_vids:
            split = 'train'
        elif v in val_vids:
            split = 'val'
        elif v in test_vids:
            split = 'test'

        if split != 'test':
            continue

        # target is abs path of i
        target = os.path.realpath(os.path.join(img_dir, i))
        name = os.path.join(split, str(v) + '_' + i) # name includes vid and frame ids

        if os.path.islink(name):
            os.unlink(name)

        os.symlink(target, name)
